#' @title Endoderm differentiation
#'
#' @description A `TimeSeriesExperiment` object contating gene expression data, 
#' feature and sample data from a study by Blake et al. "A Comparative Study Of 
#' Endoderm Differentiation In Humans And Chimpanzees". Here we include only 
#' a small fraction of the data including top 250 most variable genes, to serve
#' as a toy exapmle for TimeSeriesExperiment.
#'
#' @name endoderm_small
#' @docType data
#' @keywords datasets
#' @usage data(endoderm_small)
#' @format A \code{TimeSeriesExperiment} object
#' @references Blake et al. (2017)
#' (\href{https://www.biorxiv.org/content/early/2017/05/09/135442}{bioRxiv})
#' @source \url{https://www.ncbi.nlm.nih.gov/geo/query/acc.cgi?acc=GSE98411}
#'
NULL

